package org.lym.pom.repository.mongo.enums;

import org.lym.pom.repository.mongo.Post;
import org.shoulder.core.dictionary.model.NameAsIdDictionaryItemEnum;

/**
 * 动态类型：分享视频、链接、问卷、话题、动态、状态、时刻等
 *
 * @see Post#type
 * @author lym
 */
public enum PostTypeEnum implements NameAsIdDictionaryItemEnum<PostTypeEnum> {
    ARTICLE("A"),
    /**
     *  全站公告（更正式，关键性的全员公告）
     */
    ANNOUNCEMENT("ANNOUNCEMENT"),
    BLOG("B"),
    LINK("L"),

    MOMENT("M"),
    NEWS("N"),
    /**
     *  全站通知（非正式，简短的提醒通知）
     */
    NOTICE("NOTICE"),
    QUESTION("Q"),
    SHARE("S"),
    TALK("T"),
    ;


    private final String storageName;

    PostTypeEnum(String storageName) {
        this.storageName = storageName;
    }

    public String getStorageName() {
        return storageName;
    }
}